/* 
 * PDFlib client: hello example in Groovy
 */

import com.pdflib.pdflib;
import com.pdflib.PDFlibException;

int font;

try{
    def p = new pdflib()
    def searchpath = "../data";

    /* This means we must check return values of load_font() etc. */
    p.set_option("errorpolicy=return");

    /* Set the search path for font files */
    p.set_option("SearchPath={{" + searchpath +"}}");


    if (p.begin_document("hello.pdf", "") == -1)
        throw new Exception("Error: " + p.get_errmsg());

    p.set_info("Creator", "hello.groovy");
    p.set_info("Author", "Thomas Merz");
    p.set_info("Title", "Hello world (Groovy)!");

    p.begin_page_ext(0, 0, "width=a4.width height=a4.height");

    def fontopt =
        "fontname=NotoSerif-Regular encoding=unicode fontsize=24";

    p.fit_textline("Hello world!", 50, 700, fontopt);
    p.fit_textline("(says Groovy)",  50, 676, fontopt);

    p.end_page_ext("");

    p.end_document("");

} catch (PDFlibException e) {
    System.err.print("PDFlib exception occurred in hello sample:\n");
    System.err.print("[" + e.get_errnum() + "] " + e.get_apiname() +
                    ": " + e.get_errmsg() + "\n");
} catch (Exception e) {
    System.err.println(e.getMessage());
}
